<li class="nav-item"> 
    <div class="dropdown">
        <div class="ico-holder d-flex justify-content-center">
            <div class="ticker" ng-if="$ctrl.data.length > 0">{{$ctrl.data.length}}</div>
            <div class="d-flex flex-row align-items-center">
                <div class="vertical-aligner"></div>
                <i class="material-icons light-blue-grey" style="font-size: 25px">group</i>
                <div class="vertical-aligner"></div>
            </div>
        </div>
        <div class="dropdown-content-pending notification">
            <div class="dropdown-carret pick">
                <div class="arrow-up"></div>
            </div>
            <div class="notification-dropdown-content-pending">
                <div class="row">
                    <div class="col">
                        <div class="d-flex flex-row justify-content-center border-bottom">
                            <div class="bm-label-16 py-3 px-3 dark-grey-blue mr-auto"><b>Pending Connections</b></div>
                        </div>
                    </div>
                </div>
                <div class="row" ng-if="$ctrl.data.length < 1">
                    <div class="col">
                        <div class="d-flex flex-row align-items-center justify-content-center" style="height: 70px">
                            <i class="material-icons light-blue-grey" style="font-size: 25px">group</i> 
                            <div class="bm-label-12 bluey-grey"> You don’t have pending connections yet.</div>
                        </div>
                    </div>
                </div>
                <div class="row" ng-if="$ctrl.data.length > 0">
                    <div class="col">
                        <div class="notification_scroll_container">
                            <div class="patient_tray px-3" ng-repeat="a in $ctrl.data">
                                <div class="d-flex flex-row align-items-center">
                                    <div class="vertical-aligner"></div>
                                    <div class="mr-2">
                                        <img ng-if="a.picture != NULL" ng-src="https://assets.biomarking.com/profile/{{a.picture}}" class="profile" style="border-radius: 50%"
                                            height="39" width="39">
                                        <div class="temporary_picture" ng-if="a.picture == NULL">
                                            <span>{{a.first_name[0]}}{{a.last_name[0]}}</span>
                                        </div>
                                    </div>
                                    <div>
                                        <div class="bm-label-12 text-left">
                                            <div class="dark-grey-blue"><b>{{a.first_name}} {{a.last_name}}</b></div> 
                                            <div class="bm-label-10 bluey-grey">{{a.birth_date | date:'dd MMM yyyy'}}</div>
                                        </div>
                                    </div>
                                    <div class="d-flex flex-row ml-auto">
                                        <button class="mr-2 approved-btn pointer" ng-click="$ctrl.approve(a, $index)">Approve</button>
                                        <button class="reject-btn pointer" ng-click="$ctrl.reject(a , $index)">Reject</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="bm-label-12 py-3 dark-grey-blue pointer" ui-sref="dashboard"><b>View All Pending Connections</b> </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</li> 
<div class="biomark-modal" ng-if="$ctrl.modal_type == 1">
    <div class="modal_container small">
        <div class="modal-header">
            <div class="modal-closer-text">
                <h5>You are now connected to:</h5>
            </div>
            <div class="modal-closer-icon" ng-click="$ctrl.close_modal()">
                <i class="material-icons md-18">close</i>
            </div>
        </div>
        <div class="modal-body-sm">
            <div class="row">
                <div class="col-md-12 text-center">
                    <div class="patient_photo_a"  style="margin:0 auto 0">
                        <div class="tmp_image" ng-if="$ctrl.modal_data.picture == null">
                            {{$ctrl.modal_data.first_name[0]}}{{$ctrl.modal_data.last_name[0]}}</div>
                        <img ng-if="$ctrl.modal_data.picture != null" class="patient_img" ng-src="https://assets.biomarking.com/profile/{{$ctrl.modal_data.picture}}">
                    </div>
                    <br>
                    <br>
                    <h4 class="text-center">{{$ctrl.modal_data.first_name}} {{$ctrl.modal_data.last_name}}</h4>
                    <p class="pmediumdefault" style="margin:5px">{{$ctrl.modal_data.calc_birthday}}, {{$ctrl.modal_data.gender.name}}, {{$ctrl.modal_data.ethnic}}</p>
                    <div class="country-ic-container">
                        <span class="flag-icon flag-icon-{{$ctrl.config.countries[$ctrl.modal_data.country_id - 1].code.toLowerCase()}}" style="font-size:20px; float: left"></span>
                        <p class="labelnormaluppercase" ng-if="$ctrl.modal_data.ic_number" style="float:left; margin-top: 5px">&nbsp;{{$ctrl.modal_data.ic_number}}</p>
                        <p class="labelnormaluppercase" ng-if="!$ctrl.modal_data.ic_number" style="float:left; margin-top: 5px">&nbsp;&nbsp;---</p>
                    </div>

                    <br>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12 text-center">
                    <div class="form-group">
                        <button class="btn btn-danger biomark-btn-primary" ui-sref="patient({id:$ctrl.modal_data.id})">
                            View Profile
                        </button>
                        <br>
                        <br>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="biomark-modal" ng-if="$ctrl.modal_type == 2">
    <div class="modal_container small">
        <div class="modal-header">
            <div class="modal-closer-text">
                <h5>You have rejected the request from:</h5>
            </div>
            <div class="modal-closer-icon" ng-click="$ctrl.close_modal()">
                <i class="material-icons md-18">close</i>
            </div>
        </div>
        <div class="modal-body-sm">
            <div class="row">
                <div class="col-md-12 text-center">
                    <div class="patient_photo_a"  style="margin:0 auto 0">
                        <div class="tmp_image" ng-if="$ctrl.modal_data.picture == null">
                            {{$ctrl.modal_data.first_name[0]}}{{$ctrl.modal_data.last_name[0]}}</div>
                        <img ng-if="$ctrl.modal_data.picture != null" class="patient_img" ng-src="https://assets.biomarking.com/profile/{{$ctrl.modal_data.picture}}">
                    </div>
                    <br>
                    <br>
                    <h4 class="text-center">{{$ctrl.modal_data.first_name}} {{$ctrl.modal_data.last_name}}</h4>
                    <p class="pmediumdefault" style="margin:5px">{{$ctrl.modal_data.calc_birthday}}, {{$ctrl.modal_data.gender.name}}, {{$ctrl.modal_data.ethnic}}</p>
                    <div class="country-ic-container">
                        <span class="flag-icon flag-icon-{{$ctrl.config.countries[$ctrl.modal_data.country_id - 1].code.toLowerCase()}}" style="font-size:20px; float: left"></span>
                        <p class="labelnormaluppercase" ng-if="$ctrl.modal_data.ic_number" style="float:left; margin-top: 5px">&nbsp;{{$ctrl.modal_data.ic_number}}</p>
                        <p class="labelnormaluppercase" ng-if="!$ctrl.modal_data.ic_number" style="float:left; margin-top: 5px">&nbsp;&nbsp;---</p>
                    </div>

                    <br>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12 text-center">
                    <a href="" class="back" ng-click="$ctrl.close_modal()">Close</a>
                    <br>
                    <br>
                    <br>
                </div>
            </div>
        </div>
    </div>
</div>

